// Generated by CoffeeScript 1.9.3

/**
 * @package   Blockchain payment
 * @category  modules
 * @author    Nazar Mokrynskyi <nazar@mokrynskyi.com>
 * @copyright Copyright (c) 2015-2016, Nazar Mokrynskyi
 * @license   MIT License, see license.txt
 */

(function() {
  var L;

  L = cs.Language('blockchain_payment_');

  Polymer({
    properties: {
      description: '',
      address: '',
      amount: Number,
      progress_text: {
        type: string,
        value: L.waiting_for_payment
      }
    },
    ready: function() {
      return $((function(_this) {
        return function() {
          _this.set('description', JSON.parse(_this.description));
          _this.set('text', L.scan_or_transfer(_this.amount, _this.address));
          $(_this.$.qr).qrcode({
            height: 512,
            text: 'bitcoin:' + _this.address + '?amount=' + _this.amount,
            width: 512
          });
          return _this.update_status();
        };
      })(this));
    },
    update_status: function() {
      return $.ajax({
        url: 'api/Blockchain_payment/' + $(this).data('id'),
        type: 'get',
        success: (function(_this) {
          return function(data) {
            if (parseInt(data.confirmed)) {
              location.reload();
              return;
            }
            if (parseInt(data.paid)) {
              _this.set('progress_text', L.waiting_for_confirmations);
            }
            return setTimeout((function() {
              return _this.update_status();
            }), 5000);
          };
        })(this)
      });
    }
  });

}).call(this);
